export default defineNuxtConfig({
  devtools: { enabled: false },
  pages: true,
  app: {
    pageTransition: { name: 'page', mode: 'out-in' }
  },
  css: ['/public/assets/scss/main.scss','vuetify/styles', '@mdi/font/css/materialdesignicons.min.css','/public/assets/fonts/main.scss'],
  components: [
    {
      path: '~/components',
    },
  ],
  modules: [
    '@nuxtjs/i18n',
    '@pinia/nuxt',
    '@vee-validate/nuxt',
  ],
  
  veeValidate: {
    autoImports: true,
  },
  build: {
    transpile: ['vuetify']
},
  i18n: {
    locales: ['ar','en'],
    defaultLocale: 'ar',
    vueI18n: './i18n.config.ts',
    strategy:'prefix_and_default',
    detectBrowserLanguage: false,
    
  }
})
